Subject: Re: RPM installer (was Re: SETUP WIZARD FOR CYGWIN?XFREE86)
From: Robert Collins <[email-masked]>
To: egor duda <[email-masked]>
Cc: Dario Alcocer <[email-masked]>
Date: 28 Jul 2001 11:34:54 +1000

On 27 Jul 2001 19:18:34 +0400, egor duda wrote:
> Hi!
> 
> Friday, 27 July, 2001 Robert Collins [email-masked] wrote:
> 
> RC> On 27 Jul 2001 16:55:57 +0400, egor duda wrote:
> >> Friday, 27 July, 2001 Robert Collins [email-masked] wrote:
> >> RC> On 26 Jul 2001 17:49:50 -0700, Dario Alcocer wrote:
> >> >> >>>>> "Robert" == Robert Collins <[email-masked]> writes:
> >> >> 
> >> >>     Robert> As Chuck has mentioned, that cygwin1.dll should have a
> >> >>     Robert> different shared memory region identifier, to prevent
> >> >>     Robert> crashes :}.
> >> >> 
> >> >> Just curious; can't we avoid a specially built version of cygwin1.dll
> >> >> by making sure that cygwin1.dll isn't loaded when the installer runs?
> >> >> Making a special verion of cygwin1.dll could add more confusion.
> >> RC> What if:
> >> RC> the irt cygwin1.dll is incompatible with the installed, running
> >> RC> cygwin1.dll - so that any attempt to call cygwin1.dll functions (which
> >> RC> the irt uses?) results in a crash.
> >> RC> I covered ina different reply the mechanics of a different shared memory
> >> RC> identifier.
> >> 
> >> if you run x:\some\temp\path\ash.exe and x:\some\temp\path\ contains
> >> cygwin1.dll is _doesn't_ matter if any other program is running from
> >> c:\cygwin\bin and using incompatible version of cygwin1.dll from
> >> c:\cygwin\bin\, as long as you're taking care about shared memory
> >> region name.
> 
> RC> Yes - precisely my point :]. (Dario asked about avoiding having a
> RC> different shared memory region name).
> 
> No! he talked about custom-built dll. custom-built dll and different
> shared region name are _different_ issues. You can make 2 normally
> built dlls to have different shared area names. i use stock version
> 1.1.8 for debugging version 1.3.2. gdb uses 1.1.8, debugee uses 1.3.2.
> they're running along nicely.

Uhmm, I'm bit unclear as to how you can change the shared memory region
with building a custom cygwin1.dll. 

> so, *If* you can guarantee that all applications during bootstrapping
> are run from the single directory, you can make them not interfere
> with other currently running cygwin applications.

Yes... I know and agree.

> [...]
> > 
> it can use file name/package name/feature (with versioning, btw).

Excellent - it's obviously come a ways since I last dug deep.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/